aicompose.updateTone
Edit a custom AI composer tone » previously created by the current user. Only the fields whose flag is set will be modified.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Edit a custom AI composer tone » previously created by the current user. Only the fields whose flag is set will be modified.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/aicompose.updateTone" \ -H "Content-Type: application/json" \ -d '{ "params": { "tone": { "_": "inputAiComposeToneDefault", "tone": "string" } } }'{ "result": { "_": "aiComposeTone", "creator": true, "id": "string", "accessHash": "string", "slug": "string", "title": "string", "emojiId": "string", "prompt": "string", "installsCount": 0, "authorId": 0, "exampleEnglish": { "_": "aiComposeToneExample", "from": { "_": "textWithEntities", "text": "string", "entities": [ { "_": "messageEntityUnknown", "offset": 0, "length": 0 } ] }, "to": { "_": "textWithEntities", "text": "string", "entities": [ { "_": "messageEntityUnknown", "offset": 0, "length": 0 } ] } } }}saveTone
Install or uninstall an [AI composer tone »](https://core.telegram.org/api/ai#ai-compose-tones), adding it to or removing it from the list of saved tones of the current user. Non-[Premium](https://core.telegram.org/api/premium) users may install up to [aicompose_tone_saved_limit_default »](https://core.telegram.org/api/config#aicompose-tone-saved-limit-default) tones, [Premium](https://core.telegram.org/api/premium) users up to [aicompose_tone_saved_limit_premium »](https://core.telegram.org/api/config#aicompose-tone-saved-limit-premium) tones.
addPreviewMedia
Add a [main mini app preview, see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info. Only owners of bots with a configured Main Mini App can use this method, see [see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info on how to check if you can invoke this method.